MCP and programmatic accessREST API
Jobs
GET
/api/jobsAuthorization
api_key X-API-Key<token>
In: header
Query Parameters
tenant_id?|
Format
uuidjob_type?null|
status?null|
Response Body
application/json
curl -X GET "https://example.com/api/jobs"{ "jobs": [ { "cancelled_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "dispatched_at": "2019-08-24T14:15:22Z", "error_message": "string", "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f", "job_type": "Query", "partition_key": "string", "payload": null, "runner_id": "9d0962d6-7c33-45b9-936f-62727b39a370", "source": null, "started_at": "2019-08-24T14:15:22Z", "status": "Queued", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z" } ]}POST
/api/jobsAuthorization
api_key X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/jobs" \ -H "Content-Type: application/json" \ -d '{ "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "type": "pipeline" }'{ "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"}GET
/api/jobs/{job_id}Authorization
api_key X-API-Key<token>
In: header
Path Parameters
job_id*string
Job ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "cancelled_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "dispatched_at": "2019-08-24T14:15:22Z", "error_message": "string", "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f", "job_type": "Query", "partition_key": "string", "payload": null, "runner_id": "9d0962d6-7c33-45b9-936f-62727b39a370", "source": null, "started_at": "2019-08-24T14:15:22Z", "status": "Queued", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z"}POST
/api/jobs/{job_id}/cancelAuthorization
api_key X-API-Key<token>
In: header
Path Parameters
job_id*string
Job ID
Format
uuidResponse Body
application/json
curl -X POST "https://example.com/api/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"Empty